Last Comment Bug 734080 - Port configure.in changes from Bug 700910 to Thunderbird
: Port configure.in changes from Bug 700910 to Thunderbird
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 15.0
Assigned To: :Irving Reid (No longer working on Firefox)
:
Mentors:
Depends on: 711895 737677
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 07:39 PST by :Irving Reid (No longer working on Firefox)
Modified: 2012-05-08 15:41 PDT (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
configure changes to reduce spurious warnings under clang (7.92 KB, patch)
2012-03-08 12:14 PST, :Irving Reid (No longer working on Firefox)
no flags Details | Diff | Review
Port configure changes from M-C for better compiler warning control (14.22 KB, patch)
2012-03-21 09:23 PDT, :Irving Reid (No longer working on Firefox)
no flags Details | Diff | Review
Port configure changes from M-C for better compiler warning control, updated (14.07 KB, patch)
2012-04-04 07:39 PDT, :Irving Reid (No longer working on Firefox)
mozilla: review+
Details | Diff | Review
Additional changes (on top of previously committed patch) to fix l10n repack (3.60 KB, patch)
2012-04-12 12:20 PDT, :Irving Reid (No longer working on Firefox)
bugspam.Callek: review+
Details | Diff | Review

Description :Irving Reid (No longer working on Firefox) 2012-03-08 07:39:21 PST
Core recently added support for the C++11 'delete' keyword on method declarations; this requires a new warning control flag on clang.
Comment 1 :Irving Reid (No longer working on Firefox) 2012-03-08 09:15:26 PST
Also pulling in bug 666135, which defines the CLANG_CXX compiler detection and takes out some of the other bothersome warnings
Comment 2 :Irving Reid (No longer working on Firefox) 2012-03-08 12:14:57 PST
Created attachment 604153 [details] [diff] [review]
configure changes to reduce spurious warnings under clang

Clang detection and warning suppression ported from mozilla-central, and drive-by cleanup of DOS line endings in an unrelated file. Try build on its way.
Comment 3 Justin Wood (:Callek) 2012-03-11 22:34:35 PDT
Comment on attachment 604153 [details] [diff] [review]
configure changes to reduce spurious warnings under clang

review @ mark on irvings behalf.
Comment 4 :Irving Reid (No longer working on Firefox) 2012-03-15 13:14:46 PDT
TBPL shows one of the try builders not completing, but all the others look fine: http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=31e66a799604
Comment 5 :Irving Reid (No longer working on Firefox) 2012-03-20 10:46:53 PDT
Comment on attachment 604153 [details] [diff] [review]
configure changes to reduce spurious warnings under clang

Review of attachment 604153 [details] [diff] [review]:
-----------------------------------------------------------------

A bunch more configure.in changes just dropped in bug 711895, I'll respin the patch and run another try build.
Comment 6 :Irving Reid (No longer working on Firefox) 2012-03-21 09:12:04 PDT
This can land before bug 737677 but some of the warnings won't go quiet until then
Comment 7 :Irving Reid (No longer working on Firefox) 2012-03-21 09:23:40 PDT
Created attachment 607987 [details] [diff] [review]
Port configure changes from M-C for better compiler warning control

M-C has been doing a bunch of work on their compiler warnings, not all of them clang-specific. This patch pulls in the most recent batch.

Switching reviewer to bienvenu to give standard8 a break.
Comment 8 David :Bienvenu 2012-03-21 13:00:53 PDT
Comment on attachment 607987 [details] [diff] [review]
Port configure changes from M-C for better compiler warning control

what's going on with db/makefiles.sh? line ending changes? should that not be part of this diff?
Comment 9 :Irving Reid (No longer working on Firefox) 2012-03-21 13:11:46 PDT
Yes, db/makefiles.sh is a drive-by fix of DOS line endings in an unrelated file. If you want to leave that out of this patch that's fine.
Comment 10 David :Bienvenu 2012-03-21 13:35:52 PDT
Comment on attachment 607987 [details] [diff] [review]
Port configure changes from M-C for better compiler warning control

builds fine on windows - db/makefiles.sh change is ok, just checking.
Comment 11 Nicholas Nethercote [:njn] (on vacation until July 11) 2012-03-21 17:08:04 PDT
Please note that bug 711895 caused some i10n build bustage and may be backed out again :(
Comment 12 :Irving Reid (No longer working on Firefox) 2012-04-04 05:50:43 PDT
Comment on attachment 607987 [details] [diff] [review]
Port configure changes from M-C for better compiler warning control

Patch has suffered bit-rot, update coming...
Comment 13 :Irving Reid (No longer working on Firefox) 2012-04-04 07:39:42 PDT
Created attachment 612185 [details] [diff] [review]
Port configure changes from M-C for better compiler warning control, updated

No substantive changes, just bit-rot from other configure patches that landed in between. Try is busy (and a bit flaky), but I can queue this up if you'd like to see a try build before landing.
Comment 14 :Irving Reid (No longer working on Firefox) 2012-04-05 10:46:30 PDT
Try build at http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=e2d1a8c405b5 looks green enough to me, let's push this and see what comes out the other side.
Comment 15 Ryan VanderMeulen [:RyanVM] 2012-04-05 15:24:16 PDT
http://hg.mozilla.org/comm-central/rev/014d81b1029f
Comment 16 Justin Wood (:Callek) 2012-04-11 22:09:43 PDT
BACK THIS OUT!

p.s. given the issues mentioned in the other bug, I'm surprised bienvenu was ok with reviewing this, since he's not technically a build-system peer for c-c.

We have had broken l10n builds since this landed on trunk (on linux). 

Please get review from a c-c actual build system peer (or an m-c build system peer if they are willing to review this) before relanding.
Comment 17 Justin Wood (:Callek) 2012-04-11 22:12:37 PDT
pps I'm surprised at "us" for not catching that this did break repacks, especially given c#11, and sad that no-one happened to tell you that try is not good enough to catch l10n repack bustage from the change.
Comment 18 :Irving Reid (No longer working on Firefox) 2012-04-12 12:20:01 PDT
Created attachment 614489 [details] [diff] [review]
Additional changes (on top of previously committed patch) to fix l10n repack

This patch should be applied on top of https://bugzilla.mozilla.org/attachment.cgi?id=612185 and contains additional changes from the updated version of bug 711895, to support l10n repack builds using older versions of GCC. Try build in progress at http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=35b9036dc1d1
Comment 19 Ryan VanderMeulen [:RyanVM] 2012-04-12 16:45:13 PDT
Revision 014d81b1029f backed out. I'll re-land both together.
http://hg.mozilla.org/comm-central/rev/f62eaa1c5b0d
Comment 20 :Irving Reid (No longer working on Firefox) 2012-04-16 07:25:34 PDT
First try build seems to have suffered from some mozilla-central bustage; second try came through clean aside from a couple of random-looking issues: http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=73154769b254
Comment 21 Justin Wood (:Callek) 2012-05-06 10:45:39 PDT
Comment on attachment 614489 [details] [diff] [review]
Additional changes (on top of previously committed patch) to fix l10n repack

Review of attachment 614489 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good sorry for the delay
Comment 22 Justin Wood (:Callek) 2012-05-06 10:46:25 PDT
Need to reland both patches on this bug...

Note You need to log in before you can comment on or make changes to this bug.